﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using task13.Models;

namespace task13.Migrations
{
    [DbContext(typeof(MovieDbContext))]
    partial class MovieDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.7")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("task13.Models.Actor", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Biography")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime?>("DOB")
                        .HasColumnType("datetime2");

                    b.Property<string>("FirstName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Gender")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("LastName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("MiddleNames")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("PicURL")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("PlaceOfBirth")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Actors");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            DOB = new DateTime(1989, 6, 23, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Daniel",
                            Gender = "Male",
                            LastName = "Radcliffe",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTg4NTExODc3Nl5BMl5BanBnXkFtZTgwODUyMDEzMDE@._V1_.jpg",
                            PlaceOfBirth = "Fulham, London, England, UK"
                        },
                        new
                        {
                            Id = 2,
                            DOB = new DateTime(1988, 8, 24, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Rupert",
                            Gender = "Male",
                            LastName = "Grint",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMjI3MDA3NjA1N15BMl5BanBnXkFtZTcwMDcyMDYzNw@@._V1_.jpg",
                            PlaceOfBirth = "Stevenage, Hertfordshire, England, UK"
                        },
                        new
                        {
                            Id = 3,
                            DOB = new DateTime(1990, 4, 15, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Emma",
                            Gender = "Female",
                            LastName = "Watson",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTQ3ODE2NTMxMV5BMl5BanBnXkFtZTgwOTIzOTQzMjE@._V1_SY1000_CR0,0,810,1000_AL_.jpg",
                            PlaceOfBirth = "Paris, France"
                        },
                        new
                        {
                            Id = 4,
                            DOB = new DateTime(1930, 10, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Richard",
                            Gender = "Male",
                            LastName = "Harris",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTgzNTA5ODg1NV5BMl5BanBnXkFtZTcwMDU3MTU5Mw@@._V1_.jpg",
                            PlaceOfBirth = "Limerick, Ireland"
                        },
                        new
                        {
                            Id = 5,
                            DOB = new DateTime(1940, 10, 19, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Michael",
                            Gender = "Male",
                            LastName = "Gambon",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTY3OTc4MTgyN15BMl5BanBnXkFtZTcwNTAxNjA3Mg@@._V1_.jpg",
                            PlaceOfBirth = "Cabra, Dublin, Ireland"
                        },
                        new
                        {
                            Id = 6,
                            DOB = new DateTime(1953, 1, 27, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Richard",
                            Gender = "Male",
                            LastName = "Bremmer",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMjA2NTA4NzIyM15BMl5BanBnXkFtZTcwNTY5MzAwOA@@._V1_.jpg",
                            PlaceOfBirth = "Warwickshire, England, UK"
                        },
                        new
                        {
                            Id = 7,
                            DOB = new DateTime(1962, 12, 22, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Ralph",
                            Gender = "Male",
                            LastName = "Fiennes",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMzc5MjE1NDgyN15BMl5BanBnXkFtZTcwNzg2ODgwNA@@._V1_.jpg",
                            PlaceOfBirth = "Ipswich, Suffolk, England, UK"
                        },
                        new
                        {
                            Id = 8,
                            DOB = new DateTime(1981, 1, 28, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Elijah",
                            Gender = "Male",
                            LastName = "Wood",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTM0NDIxMzQ5OF5BMl5BanBnXkFtZTcwNzAyNTA4Nw@@._V1_SY1000_CR0,0,666,1000_AL_.jpg",
                            PlaceOfBirth = "Cedar Rapis, Iowa, USA"
                        },
                        new
                        {
                            Id = 9,
                            DOB = new DateTime(1939, 5, 25, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Ian",
                            Gender = "Male",
                            LastName = "McKellen",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTQ2MjgyNjk3MV5BMl5BanBnXkFtZTcwNTA3NTY5Mg@@._V1_.jpg",
                            PlaceOfBirth = "Burnley, Lancashire, England, UK"
                        },
                        new
                        {
                            Id = 10,
                            DOB = new DateTime(1958, 10, 20, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Viggo",
                            Gender = "Male",
                            LastName = "Mortensen",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BNDQzOTg4NzA2Nl5BMl5BanBnXkFtZTcwMzkwNjkxMg@@._V1_.jpg",
                            PlaceOfBirth = "Manhattan, New York City, New York, USA"
                        },
                        new
                        {
                            Id = 11,
                            DOB = new DateTime(1977, 7, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Liv",
                            Gender = "Female",
                            LastName = "Tyler",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTY4NjQxMjc5MF5BMl5BanBnXkFtZTcwMzg5Mzg4Ng@@._V1_SY1000_CR0,0,666,1000_AL_.jpg",
                            PlaceOfBirth = "New York City, New York, USA"
                        },
                        new
                        {
                            Id = 12,
                            DOB = new DateTime(1959, 4, 17, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Sean",
                            Gender = "Male",
                            LastName = "Bean",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTkzMzc4MDk5OF5BMl5BanBnXkFtZTcwODg3MjUxNw@@._V1_SY1000_CR0,0,726,1000_AL_.jpg",
                            PlaceOfBirth = "Sheffield, South Yorkshire, England, UK"
                        },
                        new
                        {
                            Id = 13,
                            DOB = new DateTime(1977, 1, 13, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Orlando",
                            Gender = "Male",
                            LastName = "Bloom",
                            MiddleNames = "Jonathan Blanchard",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMjE1MDkxMjQ3NV5BMl5BanBnXkFtZTcwMzQ3Mjc4MQ@@._V1_.jpg",
                            PlaceOfBirth = "Canterbury, Kent, England, UK"
                        },
                        new
                        {
                            Id = 14,
                            DOB = new DateTime(1968, 8, 28, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Billy",
                            Gender = "Male",
                            LastName = "Boyd",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTQzOTEyMTQ3OF5BMl5BanBnXkFtZTYwNzkzMDk1._V1_.jpg",
                            PlaceOfBirth = "Glasgow, Scotland, UK"
                        },
                        new
                        {
                            Id = 15,
                            DOB = new DateTime(1976, 12, 8, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Dominic",
                            Gender = "Male",
                            LastName = "Monaghan",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTg0MTc2ODIwNl5BMl5BanBnXkFtZTcwMjQ4MjEwMw@@._V1_.jpg",
                            PlaceOfBirth = "Berlin, Germany"
                        },
                        new
                        {
                            Id = 16,
                            DOB = new DateTime(1944, 5, 5, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "John",
                            Gender = "Male",
                            LastName = "Rhys-Davies",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMjMwNDY3NjQxMF5BMl5BanBnXkFtZTcwMDc3NTYyOQ@@._V1_SY1000_CR0,0,837,1000_AL_.jpg",
                            PlaceOfBirth = "Ammanford, Wales, UK"
                        });
                });

            modelBuilder.Entity("task13.Models.Character", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Alias")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("FullName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Gender")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("PicURL")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Characters");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Alias = "Harry",
                            FullName = "Harry Potter",
                            Gender = "Male",
                            PicURL = "https://www.irishtimes.com/polopoly_fs/1.3170107.1501253408!/image/image.jpg_gen/derivatives/ratio_1x1_w1200/image.jpg"
                        },
                        new
                        {
                            Id = 2,
                            Alias = "Ron",
                            FullName = "Ronald Weasley",
                            Gender = "Male",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTkyMDM1MTQzOF5BMl5BanBnXkFtZTYwMzg0NTg3._V1_.jpg"
                        },
                        new
                        {
                            Id = 3,
                            Alias = "Hermione",
                            FullName = "Hermione Granger",
                            Gender = "Female",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BN2ZmNmRlNDQtM2M4Zi00N2M3LWEwNmEtOTE0ZGY3OTZlYjFiXkEyXkFqcGdeQXVyNjQ4ODE4MzQ@._V1_SY1000_CR0,0,663,1000_AL_.jpg"
                        },
                        new
                        {
                            Id = 4,
                            Alias = "Professor Dumbledore",
                            FullName = "Albus Percival Wulfric Brian Dumbledore",
                            Gender = "Male",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BZTgzOTNhNzItNWNlYi00YzdhLWE4ODktMDhlYWYxYzZmZDU3XkEyXkFqcGdeQXVyMjI3NzE4MTM@._V1_.jpg"
                        },
                        new
                        {
                            Id = 5,
                            Alias = "Lord Voldemort",
                            FullName = "Tom Marvolo Riddle",
                            Gender = "Male",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTY4ODgzNjEwOV5BMl5BanBnXkFtZTcwMTg3MDI5Mw@@._V1_SY1000_CR0,0,1678,1000_AL_.jpg"
                        },
                        new
                        {
                            Id = 6,
                            Alias = "Sneaky hobbit",
                            FullName = "Frodo Baggins",
                            Gender = "Male",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTYxNjY1ODQ3MF5BMl5BanBnXkFtZTcwMjgwMjk2Mw@@._V1_SY1000_CR0,0,1489,1000_AL_.jpg"
                        },
                        new
                        {
                            Id = 7,
                            Alias = "Gandalf the Grey, Gandalf the White",
                            FullName = "Gandalf",
                            Gender = "Male",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTY1OTE1NDY4NV5BMl5BanBnXkFtZTcwMzkwMjk2Mw@@._V1_SY1000_CR0,0,1501,1000_AL_.jpg"
                        },
                        new
                        {
                            Id = 8,
                            Alias = "Strider",
                            FullName = "Aragorn",
                            Gender = "Male",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BNzc4NzYyNDk0MV5BMl5BanBnXkFtZTcwMTExMjk2Mw@@._V1_SY1000_CR0,0,736,1000_AL_.jpg"
                        },
                        new
                        {
                            Id = 9,
                            Alias = "Undómiel",
                            FullName = "Arwen",
                            Gender = "Female",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BNzdlMWUxYTktYTJlYi00M2RkLWJlNzAtMzM5YzUwNmE1MzlmXkEyXkFqcGdeQXVyMzQ3Nzk5MTU@._V1_.jpg"
                        },
                        new
                        {
                            Id = 10,
                            FullName = "Boromir",
                            Gender = "Male",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BNzRjODZjMzktMTY4NS00ZWIzLWIxYTgtMTYzZWMzYjZhODkwXkEyXkFqcGdeQXVyNzU3Nzk4MDQ@._V1_.jpg"
                        },
                        new
                        {
                            Id = 11,
                            Alias = "Greenleaf",
                            FullName = "Legolas",
                            Gender = "Male",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMDM5YzJlNmItZWJiZS00Y2ZkLTkyZGUtZjllMDMxMDk3OWMzXkEyXkFqcGdeQXVyMzQ3Nzk5MTU@._V1_.jpg"
                        },
                        new
                        {
                            Id = 12,
                            Alias = "Pippin",
                            FullName = "Peregrin Took",
                            Gender = "Male",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BNDQ4MThiZjEtNDdhMC00NTU4LWIxYzItMDgzMDVlZjlhYzk0XkEyXkFqcGdeQXVyMzQ3Nzk5MTU@._V1_.jpg"
                        },
                        new
                        {
                            Id = 13,
                            Alias = "Merry",
                            FullName = "Meriadoc Brandybuck",
                            Gender = "Male",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTI4ODY2NjMyNF5BMl5BanBnXkFtZTcwMjkwMjk2Mw@@._V1_SY1000_CR0,0,1479,1000_AL_.jpg"
                        },
                        new
                        {
                            Id = 14,
                            Alias = "Elf-friend",
                            FullName = "Gimli",
                            Gender = "Male",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTg2NDYxMzQ0Ml5BMl5BanBnXkFtZTcwNzExMjk2Mw@@._V1_SY1000_CR0,0,1497,1000_AL_.jpg"
                        });
                });

            modelBuilder.Entity("task13.Models.Director", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Biography")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime?>("DOB")
                        .HasColumnType("datetime2");

                    b.Property<string>("FirstName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Gender")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("LastName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("MiddleNames")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("PicURL")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("PlaceOfBirth")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Directors");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            DOB = new DateTime(1958, 9, 10, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Chris",
                            Gender = "Male",
                            LastName = "Columbus",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTY2MTYzNzUyNl5BMl5BanBnXkFtZTYwMDI0NzA0._V1_.jpg",
                            PlaceOfBirth = "Spangler, Pennsylvania, USA"
                        },
                        new
                        {
                            Id = 2,
                            DOB = new DateTime(1961, 11, 28, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Alfonso",
                            Gender = "Male",
                            LastName = "Cuarón",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMjA0ODY4OTk4Nl5BMl5BanBnXkFtZTcwNTkxMzYyMg@@._V1_.jpg",
                            PlaceOfBirth = "Mexico City, Distrito Federal, Mexico"
                        },
                        new
                        {
                            Id = 3,
                            DOB = new DateTime(1942, 3, 28, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Mike",
                            Gender = "Male",
                            LastName = "Newell",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTgzNDI1ODc4N15BMl5BanBnXkFtZTYwNjg3NTc1._V1_.jpg",
                            PlaceOfBirth = "St. Albans, Hertfordshire, England, UK"
                        },
                        new
                        {
                            Id = 4,
                            DOB = new DateTime(1963, 10, 8, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "David",
                            Gender = "Male",
                            LastName = "Yates",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTY2NTU4NjY4M15BMl5BanBnXkFtZTYwNjIxOTI1._V1_.jpg",
                            PlaceOfBirth = "St. Helens, Merseyside, England, UK"
                        },
                        new
                        {
                            Id = 5,
                            DOB = new DateTime(1961, 10, 31, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            FirstName = "Peter",
                            Gender = "Male",
                            LastName = "Jackson",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BMTY1MzQ3NjA2OV5BMl5BanBnXkFtZTcwNTExOTA5OA@@._V1_SY1000_CR0,0,725,1000_AL_.jpg",
                            PlaceOfBirth = "Pukerua Bay, North Island, New Zealand"
                        });
                });

            modelBuilder.Entity("task13.Models.Franchise", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Description")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Franchises");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Description = "The Wizarding World of Harry Potter",
                            Name = "Harry Potter"
                        },
                        new
                        {
                            Id = 2,
                            Description = "Peter Jackson's trilogy based on J. R. R. Tolkien's books",
                            Name = "The Lord of the Rings"
                        });
                });

            modelBuilder.Entity("task13.Models.Movie", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("DirectorId")
                        .HasColumnType("int");

                    b.Property<int?>("FranchiseId")
                        .HasColumnType("int");

                    b.Property<string>("Genre")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("PicURL")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime?>("ReleaseYear")
                        .HasColumnType("datetime2");

                    b.Property<string>("Synopsis")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Title")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("TrailerURL")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.HasIndex("DirectorId");

                    b.HasIndex("FranchiseId");

                    b.ToTable("Movies");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            DirectorId = 1,
                            FranchiseId = 1,
                            Genre = "Adventure, Family, Fantasy",
                            PicURL = "https://i.ibb.co/mHMF0jr/1-HP-Philosopher.png",
                            ReleaseYear = new DateTime(2001, 11, 16, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Synopsis = "An orphaned boy enrolls in a school of wizardry, where he learns the truth about himself, his family and the terrible evil that haunts the magical world.",
                            Title = "Harry Potter and the Philosopher's Stone",
                            TrailerURL = "https://www.youtube.com/watch?v=VyHV0BRtdxo"
                        },
                        new
                        {
                            Id = 2,
                            DirectorId = 1,
                            FranchiseId = 1,
                            Genre = "Adventure, Family, Fantasy",
                            PicURL = "https://i.ibb.co/QmvWWqb/2-HP-Chamber.png",
                            ReleaseYear = new DateTime(2002, 11, 15, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Synopsis = "An ancient prophecy seems to be coming true when a mysterious presence begins stalking the corridors of a school of magic and leaving its victims paralyzed.",
                            Title = "Harry Potter and the Chamber of Secrets",
                            TrailerURL = "https://www.youtube.com/watch?v=1bq0qff4iF8"
                        },
                        new
                        {
                            Id = 3,
                            DirectorId = 2,
                            FranchiseId = 1,
                            Genre = "Adventure, Family, Fantasy",
                            PicURL = "https://i.ibb.co/2dPm1yk/3-HP-Prisoner.png",
                            ReleaseYear = new DateTime(2004, 5, 31, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Synopsis = "Harry Potter, Ron and Hermione return to Hogwarts School of Witchcraft and Wizardry for their third year of study, where they delve into the mystery surrounding an escaped prisoner who poses a dangerous threat to the young wizard.",
                            Title = "Harry Potter and the Prisoner of Azkaban",
                            TrailerURL = "https://www.youtube.com/watch?v=1ZdlAg3j8nI"
                        },
                        new
                        {
                            Id = 4,
                            DirectorId = 3,
                            FranchiseId = 1,
                            Genre = "Adventure, Family, Fantasy",
                            PicURL = "https://i.ibb.co/my6NLsn/4-HP-Goblet.png",
                            ReleaseYear = new DateTime(2005, 11, 18, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Synopsis = "Harry Potter finds himself competing in a hazardous tournament between rival schools of magic, but he is distracted by recurring nightmares.",
                            Title = "Harry Potter and the Goblet of Fire",
                            TrailerURL = "https://www.youtube.com/watch?v=3EGojp4Hh6I"
                        },
                        new
                        {
                            Id = 5,
                            DirectorId = 4,
                            FranchiseId = 1,
                            Genre = "Action, Adventure, Family",
                            PicURL = "https://i.ibb.co/GPtWH4w/5-HP-Order.png",
                            ReleaseYear = new DateTime(2007, 7, 12, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Synopsis = "With their warning about Lord Voldemort's return scoffed at, Harry and Dumbledore are targeted by the Wizard authorities as an authoritarian bureaucrat slowly seizes power at Hogwarts.",
                            Title = "Harry Potter and the Order of the Phoenix",
                            TrailerURL = "https://www.youtube.com/watch?v=y6ZW7KXaXYk"
                        },
                        new
                        {
                            Id = 6,
                            DirectorId = 4,
                            FranchiseId = 1,
                            Genre = "Action, Adventure, Family",
                            PicURL = "https://i.ibb.co/PwKZB23/6-HP-Half-Blood.png",
                            ReleaseYear = new DateTime(2009, 7, 15, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Synopsis = "As Harry Potter begins his sixth year at Hogwarts, he discovers an old book marked as 'the property of the Half - Blood Prince' and begins to learn more about Lord Voldemort's dark past.",
                            Title = "Harry Potter and the Half-Blood Prince",
                            TrailerURL = "https://www.youtube.com/watch?v=sg81Lts5kYY"
                        },
                        new
                        {
                            Id = 7,
                            DirectorId = 4,
                            FranchiseId = 1,
                            Genre = "Adventure, Family, Fantasy",
                            PicURL = "https://i.ibb.co/dk2SxZb/7-HP-Deathly-P1.png",
                            ReleaseYear = new DateTime(2010, 11, 19, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Synopsis = "As Harry, Ron, and Hermione race against time and evil to destroy the Horcruxes, they uncover the existence of the three most powerful objects in the wizarding world: the Deathly Hallows.",
                            Title = "Harry Potter and the Deathly Hallows: Part 1",
                            TrailerURL = "https://www.youtube.com/watch?v=MxqsmsA8y5k"
                        },
                        new
                        {
                            Id = 8,
                            DirectorId = 4,
                            FranchiseId = 1,
                            Genre = "Adventure, Drama, Fantasy",
                            PicURL = "https://i.ibb.co/VjDwsf8/8-HP-Deathly-P2.png",
                            ReleaseYear = new DateTime(2011, 7, 15, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Synopsis = "Harry, Ron, and Hermione search for Voldemort's remaining Horcruxes in their effort to destroy the Dark Lord as the final battle rages on at Hogwarts.",
                            Title = "Harry Potter and the Deathly Hallows: Part 2",
                            TrailerURL = "https://www.youtube.com/watch?v=mObK5XD8udk"
                        },
                        new
                        {
                            Id = 9,
                            DirectorId = 5,
                            FranchiseId = 2,
                            Genre = "Action, Adventure, Drama",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BN2EyZjM3NzUtNWUzMi00MTgxLWI0NTctMzY4M2VlOTdjZWRiXkEyXkFqcGdeQXVyNDUzOTQ5MjY@._V1_SY999_CR0,0,673,999_AL_.jpg",
                            ReleaseYear = new DateTime(2001, 12, 19, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Synopsis = "A meek Hobbit from the Shire and eight companions set out on a journey to destroy the powerful One Ring and save Middle-earth from the Dark Lord Sauron.",
                            Title = "The Lord of the Rings: The Fellowship of the Ring",
                            TrailerURL = "https://www.youtube.com/watch?v=V75dMMIW2B4"
                        },
                        new
                        {
                            Id = 10,
                            DirectorId = 5,
                            FranchiseId = 2,
                            Genre = "Action, Adventure, Drama",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BZGMxZTdjZmYtMmE2Ni00ZTdkLWI5NTgtNjlmMjBiNzU2MmI5XkEyXkFqcGdeQXVyNjU0OTQ0OTY@._V1_SY1000_CR0,0,642,1000_AL_.jpg",
                            ReleaseYear = new DateTime(2002, 12, 18, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Synopsis = "While Frodo and Sam edge closer to Mordor with the help of the shifty Gollum, the divided fellowship makes a stand against Sauron's new ally, Saruman, and his hordes of Isengard.",
                            Title = "The Lord of the Rings: The Two Towers",
                            TrailerURL = "https://www.youtube.com/watch?v=LbfMDwc4azU"
                        },
                        new
                        {
                            Id = 11,
                            DirectorId = 5,
                            FranchiseId = 2,
                            Genre = "Action, Adventure, Drama",
                            PicURL = "https://m.media-amazon.com/images/M/MV5BNzA5ZDNlZWMtM2NhNS00NDJjLTk4NDItYTRmY2EwMWZlMTY3XkEyXkFqcGdeQXVyNzkwMjQ5NzM@._V1_SY1000_CR0,0,675,1000_AL_.jpg",
                            ReleaseYear = new DateTime(2003, 12, 17, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Synopsis = "Gandalf and Aragorn lead the World of Men against Sauron's army to draw his gaze from Frodo and Sam as they approach Mount Doom with the One Ring.",
                            Title = "The Lord of the Rings: The Return of the King",
                            TrailerURL = "https://www.youtube.com/watch?v=y2rYRu8UW8M"
                        });
                });

            modelBuilder.Entity("task13.Models.MovieCharacter", b =>
                {
                    b.Property<int>("ActorId")
                        .HasColumnType("int");

                    b.Property<int>("CharacterId")
                        .HasColumnType("int");

                    b.Property<int>("MovieId")
                        .HasColumnType("int");

                    b.Property<string>("PicURL")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("ActorId", "CharacterId", "MovieId");

                    b.HasIndex("CharacterId");

                    b.HasIndex("MovieId");

                    b.ToTable("MovieCharacters");

                    b.HasData(
                        new
                        {
                            ActorId = 1,
                            CharacterId = 1,
                            MovieId = 1,
                            PicURL = "https://m.media-amazon.com/images/M/MV5BNTI0MTQzODYzM15BMl5BanBnXkFtZTYwNTc0NTg3._V1_.jpg"
                        },
                        new
                        {
                            ActorId = 1,
                            CharacterId = 1,
                            MovieId = 2
                        },
                        new
                        {
                            ActorId = 1,
                            CharacterId = 1,
                            MovieId = 3
                        },
                        new
                        {
                            ActorId = 1,
                            CharacterId = 1,
                            MovieId = 4
                        },
                        new
                        {
                            ActorId = 1,
                            CharacterId = 1,
                            MovieId = 5
                        },
                        new
                        {
                            ActorId = 1,
                            CharacterId = 1,
                            MovieId = 6
                        },
                        new
                        {
                            ActorId = 1,
                            CharacterId = 1,
                            MovieId = 7
                        },
                        new
                        {
                            ActorId = 1,
                            CharacterId = 1,
                            MovieId = 8
                        },
                        new
                        {
                            ActorId = 2,
                            CharacterId = 2,
                            MovieId = 1
                        },
                        new
                        {
                            ActorId = 2,
                            CharacterId = 2,
                            MovieId = 2
                        },
                        new
                        {
                            ActorId = 2,
                            CharacterId = 2,
                            MovieId = 3
                        },
                        new
                        {
                            ActorId = 2,
                            CharacterId = 2,
                            MovieId = 4
                        },
                        new
                        {
                            ActorId = 2,
                            CharacterId = 2,
                            MovieId = 5
                        },
                        new
                        {
                            ActorId = 2,
                            CharacterId = 2,
                            MovieId = 6
                        },
                        new
                        {
                            ActorId = 2,
                            CharacterId = 2,
                            MovieId = 7
                        },
                        new
                        {
                            ActorId = 2,
                            CharacterId = 2,
                            MovieId = 8
                        },
                        new
                        {
                            ActorId = 3,
                            CharacterId = 3,
                            MovieId = 1
                        },
                        new
                        {
                            ActorId = 3,
                            CharacterId = 3,
                            MovieId = 2
                        },
                        new
                        {
                            ActorId = 3,
                            CharacterId = 3,
                            MovieId = 3
                        },
                        new
                        {
                            ActorId = 3,
                            CharacterId = 3,
                            MovieId = 4
                        },
                        new
                        {
                            ActorId = 3,
                            CharacterId = 3,
                            MovieId = 5
                        },
                        new
                        {
                            ActorId = 3,
                            CharacterId = 3,
                            MovieId = 6
                        },
                        new
                        {
                            ActorId = 3,
                            CharacterId = 3,
                            MovieId = 7
                        },
                        new
                        {
                            ActorId = 3,
                            CharacterId = 3,
                            MovieId = 8
                        },
                        new
                        {
                            ActorId = 4,
                            CharacterId = 4,
                            MovieId = 1
                        },
                        new
                        {
                            ActorId = 4,
                            CharacterId = 4,
                            MovieId = 2
                        },
                        new
                        {
                            ActorId = 5,
                            CharacterId = 4,
                            MovieId = 3
                        },
                        new
                        {
                            ActorId = 5,
                            CharacterId = 4,
                            MovieId = 4
                        },
                        new
                        {
                            ActorId = 5,
                            CharacterId = 4,
                            MovieId = 5
                        },
                        new
                        {
                            ActorId = 5,
                            CharacterId = 4,
                            MovieId = 6
                        },
                        new
                        {
                            ActorId = 5,
                            CharacterId = 4,
                            MovieId = 7
                        },
                        new
                        {
                            ActorId = 5,
                            CharacterId = 4,
                            MovieId = 8
                        },
                        new
                        {
                            ActorId = 6,
                            CharacterId = 5,
                            MovieId = 1
                        },
                        new
                        {
                            ActorId = 7,
                            CharacterId = 5,
                            MovieId = 4
                        },
                        new
                        {
                            ActorId = 7,
                            CharacterId = 5,
                            MovieId = 5
                        },
                        new
                        {
                            ActorId = 7,
                            CharacterId = 5,
                            MovieId = 7
                        },
                        new
                        {
                            ActorId = 7,
                            CharacterId = 5,
                            MovieId = 8
                        },
                        new
                        {
                            ActorId = 8,
                            CharacterId = 6,
                            MovieId = 9
                        },
                        new
                        {
                            ActorId = 8,
                            CharacterId = 6,
                            MovieId = 10
                        },
                        new
                        {
                            ActorId = 8,
                            CharacterId = 6,
                            MovieId = 11
                        },
                        new
                        {
                            ActorId = 9,
                            CharacterId = 7,
                            MovieId = 9
                        },
                        new
                        {
                            ActorId = 9,
                            CharacterId = 7,
                            MovieId = 10
                        },
                        new
                        {
                            ActorId = 9,
                            CharacterId = 7,
                            MovieId = 11
                        },
                        new
                        {
                            ActorId = 10,
                            CharacterId = 8,
                            MovieId = 9
                        },
                        new
                        {
                            ActorId = 10,
                            CharacterId = 8,
                            MovieId = 10
                        },
                        new
                        {
                            ActorId = 10,
                            CharacterId = 8,
                            MovieId = 11
                        },
                        new
                        {
                            ActorId = 11,
                            CharacterId = 9,
                            MovieId = 9
                        },
                        new
                        {
                            ActorId = 11,
                            CharacterId = 9,
                            MovieId = 10
                        },
                        new
                        {
                            ActorId = 11,
                            CharacterId = 9,
                            MovieId = 11
                        },
                        new
                        {
                            ActorId = 12,
                            CharacterId = 10,
                            MovieId = 9
                        },
                        new
                        {
                            ActorId = 13,
                            CharacterId = 11,
                            MovieId = 9
                        },
                        new
                        {
                            ActorId = 13,
                            CharacterId = 11,
                            MovieId = 10
                        },
                        new
                        {
                            ActorId = 13,
                            CharacterId = 11,
                            MovieId = 11
                        },
                        new
                        {
                            ActorId = 14,
                            CharacterId = 12,
                            MovieId = 9
                        },
                        new
                        {
                            ActorId = 14,
                            CharacterId = 12,
                            MovieId = 10
                        },
                        new
                        {
                            ActorId = 14,
                            CharacterId = 12,
                            MovieId = 11
                        },
                        new
                        {
                            ActorId = 15,
                            CharacterId = 13,
                            MovieId = 9
                        },
                        new
                        {
                            ActorId = 15,
                            CharacterId = 13,
                            MovieId = 10
                        },
                        new
                        {
                            ActorId = 15,
                            CharacterId = 13,
                            MovieId = 11
                        },
                        new
                        {
                            ActorId = 16,
                            CharacterId = 14,
                            MovieId = 9
                        },
                        new
                        {
                            ActorId = 16,
                            CharacterId = 14,
                            MovieId = 10
                        },
                        new
                        {
                            ActorId = 16,
                            CharacterId = 14,
                            MovieId = 11
                        });
                });

            modelBuilder.Entity("task13.Models.Movie", b =>
                {
                    b.HasOne("task13.Models.Director", "Director")
                        .WithMany("Movies")
                        .HasForeignKey("DirectorId");

                    b.HasOne("task13.Models.Franchise", "Franchise")
                        .WithMany("Movies")
                        .HasForeignKey("FranchiseId");
                });

            modelBuilder.Entity("task13.Models.MovieCharacter", b =>
                {
                    b.HasOne("task13.Models.Actor", "Actor")
                        .WithMany("Roles")
                        .HasForeignKey("ActorId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("task13.Models.Character", "Character")
                        .WithMany("Roles")
                        .HasForeignKey("CharacterId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("task13.Models.Movie", "Movie")
                        .WithMany("Cast")
                        .HasForeignKey("MovieId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
